## lilypond 2.18.2

=== test-suite/tests/c-api/Makefile ===
CC = gcc
CFLAGS = -g `guile-config compile`

all: strings

strings: strings.o testlib.o
	${CC} ${CFLAGS} ${LDFLAGS} -o strings strings.o testlib.o \
		`guile-config link`

strings.o: strings.c testlib.h
testlib.o: testlib.c testlib.h


clean:
	rm -f strings
	rm -f *.o

=== debian/changelog ===
lilypond (2.18.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Replace ttf-kochi fonts with ipafonts (Closes: #804514).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 30 Dec 2015 14:57:33 +0100

lilypond (2.18.2-4) unstable; urgency=medium

  * Fix the wrong maintscript-helper invocation which was trying to
    symlink to /usr/share/doc/lilypond/Documentation/user instead of
    /usr/share/doc/lilypond/Documentation. (Closes: #768272)
  * Add missing Pre-Depends: ${misc:Depends} for dpkg-maintscript-helper.

 -- Don Armstrong <don@debian.org>  Sun, 16 Nov 2014 17:38:32 -0800

lilypond (2.18.2-3) unstable; urgency=medium

  * Revert previous patch (no parallel); the issue was actually running
    tests on architecture independent builds which had not built any of
    the documentation. (Closes: #760794)
  * Stop setting HOME to /tmp in debian/rules. (Closes: #762230)

 -- Don Armstrong <don@debian.org>  Tue, 16 Sep 2014 14:50:14 -0700

lilypond (2.18.2-2) unstable; urgency=high

  * Disable parallel support on !amd64 to avoid build failures on those
    architectures. This is a temporary fix; a real fix to the (possibly)
    broken makefiles needs to be written. (Closes: #760794)

 -- Don Armstrong <don@debian.org>  Tue, 09 Sep 2014 08:18:49 -0700

lilypond (2.18.2-1) unstable; urgency=high

  * New upstream version
  * Fix Broken usage of dpkg-maintscript-helper (relative pathnames vs.
    aboslute pathnames), thanks to Guillem Jover and Petter Reinholdtsen
    (Closes: #758787).

 -- Don Armstrong <don@debian.org>  Wed, 03 Sep 2014 15:22:54 -0700

lilypond (2.18.0-1) unstable; urgency=low

  * New upstream version (closes: #729817)
  * Fix replacement of /usr/share/info/lilypond symlink with a directory
    (Closes: #736306)

 -- Don Armstrong <don@debian.org>  Tue, 31 Dec 2013 13:23:41 -0800

lilypond (2.16.2-3) unstable; urgency=low

  * Do not include non-existant paths in lilypond-doc.doc-base-special
    (closes: #693238)
  * Breaks/Replaces lilypond-doc in html packages to stop problems on
    wheezy upgrade. (Closes: #718013)
  * Fix freetype path by applying patch from upstream (Closes: #733399)
  * Fix bison build failures with 42cb7d44

 -- Don Armstrong <don@debian.org>  Tue, 31 Dec 2013 09:44:05 -0800

lilypond (2.16.2-2) unstable; urgency=low

  * Fix bad syntax in texinfo documentation exposed by texinfo >= 5.1
    (closes: #707190)
  * Patch around using PATH_MAX in flower/file-name.cc to have builds work
    on hurd (hopefully).

 -- Don Armstrong <don@debian.org>  Wed, 15 May 2013 11:40:14 -0700

lilypond (2.16.2-1) unstable; urgency=low

  * Release 2.16.2-1 to unstable

 -- Don Armstrong <don@debian.org>  Mon, 06 May 2013 10:15:36 -0700

lilypond (2.16.2-1~exp+1) experimental; urgency=low

  * New upstream release (closes: #705895)
  * Put languages in their own subdocument to work around doc-base not
    having a language specifier (closes: #698435)

 -- Don Armstrong <don@debian.org>  Wed, 24 Apr 2013 21:53:13 -0700

lilypond (2.16.1-1~exp+2) experimental; urgency=low

  * New upstream release
  * netpbm and fonts are required to run the tests during the binary
    build; migrate the Build-Depends-Indep to Build-Depends.
  * Switch to dh style rules

 -- Don Armstrong <don@debian.org>  Tue, 02 Oct 2012 17:33:29 -0700

lilypond (2.16.0-1~exp+1) experimental; urgency=low

  * New upstream release (Closes: #686788)
  * Fix "warnings from install-info" by splitting the direntry sections
    across the texinfo files (Closes: #648689). Thanks to Julian Gilbey
    for the patch.
  * Fix noopt support to use --disable-optimising as ./configure does
    crazy things.
  * Apply patch from 13fc2437e2aaa9 to fix segfault in font-mark where a
    garbage collection can trigger a null pointer dereference (closes:
    #684817)
  * Split out lilypond-doc packages (Closes: #443915)

 -- Don Armstrong <don@debian.org>  Tue, 04 Sep 2012 11:16:50 -0700

lilypond (2.14.2-3) unstable; urgency=low

  * Fix redefinition of s in Music_sequence::first_start. (Closes:
    #672087).

 -- Don Armstrong <don@debian.org>  Sun, 13 May 2012 16:07:16 -0700

lilypond (2.14.2-2) unstable; urgency=low

  * Disable optimization on i386 and kfreebsd-i386 to avoid segfaults with
    python7; thanks to Matthias Klose and Scott Kitterman for the
    temporary solution. (Closes: #643664)

 -- Don Armstrong <don@debian.org>  Wed, 28 Sep 2011 09:44:40 -0700

lilypond (2.14.2-1) unstable; urgency=low

  * New upstream release (Closes: #629520)
  * Fix bad Recommends on texlive-latex-base (Closes: #594403)
  * Ditch useless links (Closes: #522120)
  * Apply patch from 77c34ddc (Werner Lemberg <wl@gnu.org>)
    to fix compilation with g++ 4.5 (Closes: #606642).
    Thanks to Colin Watson for an alternative patch.
  * Add parts of patch f113bf2f (Benjamin Peterson <benjamin@python.org>)
    to fix segfaults on invalid engraver names.
  * Update standards version; no changes
  * Specify source version 1
  * No need to conflict with ancient versions of lilypond anymore

 -- Don Armstrong <don@debian.org>  Tue, 02 Aug 2011 13:14:29 -0700

lilypond (2.12.3-7) unstable; urgency=low

  * Use /dev/stderr instead of /dev/tty (Closes: #574629)
  * Use py_support to require rebuilds when python's API changes (Closes:
    #380855)
  * Properly remove empty /usr/share/info/lilypond directory and replace
    with symlink

 -- Don Armstrong <don@debian.org>  Tue, 24 Aug 2010 15:52:59 -0700

lilypond (2.12.3-6) unstable; urgency=low

  * Fix syntax error in scm/lily.scm. Thanks to dann frazier for pointing
    out the fix. (Closes: #574629)
  * Depend on ghostscript (Closes: #575906)

 -- Don Armstrong <don@debian.org>  Wed, 31 Mar 2010 20:57:04 -0700

lilypond (2.12.3-5) unstable; urgency=low

  * Its guile that's being used, not MIT scheme; use access? instead of
    file-writable? (Closes: #572290)

 -- Don Armstrong <don@debian.org>  Thu, 04 Mar 2010 23:38:32 -0800



=== debian/control ===
Source: lilypond
Build-Depends: debhelper (>= 9), quilt, python-all-dev (>= 2.6.6-3~), dh-python,
 guile-1.8-dev,
 flex, bison, texinfo, groff, m4, gettext, mftrace, fontforge,
 pkg-config, libfreetype6-dev, libpango1.0-dev,
 libfontconfig1-dev, help2man,
 libgmp3-dev, libltdl-dev, ghostscript, texlive-latex-base,
 texlive-generic-recommended, texlive-latex-recommended, autotools-dev, texi2html, texlive-metapost,
 zip, rsync, texlive-fonts-recommended, dblatex, netpbm, imagemagick, 
 emacs-intl-fonts, xfonts-intl-arabic, xfonts-intl-asian,
 xfonts-intl-chinese, xfonts-intl-chinese-big, xfonts-intl-european,
 xfonts-intl-japanese, xfonts-intl-japanese-big, xfonts-intl-phonetic,
 fonts-ipafont-gothic, fonts-ipafont-mincho, ttf-dejavu, ttf-freefont,
 texlive-lang-cyrillic,
 gsfonts | gsfonts-x11
Section: tex
Priority: optional
Maintainer: Don Armstrong <don@debian.org>
Standards-Version: 3.9.5
Homepage: http://lilypond.org/
Vcs-Git: git://git.donarmstrong.com/lilypond.git
Vcs-Browser: http://git.donarmstrong.com/lilypond.git

Package: lilypond
Architecture: any
Replaces: lilypond1.3
Provides: lilypond1.3
Depends: ${shlibs:Depends}, ${python:Depends}, guile-1.8, ${misc:Depends}, lilypond-data (= ${source:Version}), ghostscript
Breaks: ${python:Breaks}
Recommends: lilypond-doc, texlive-latex-base
Description: program for typesetting sheet music
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 LilyPond supports many forms of music notation constructs, including
 chord names, drum notation, figured bass, grace notes, guitar tablature,
 modern notation (cluster notation and rhythmic grouping), tremolos,
 (nested) tuplets in arbitrary ratios, and more.
 .
 LilyPond's text-based music input language support can integrate into
 LaTeX, HTML and Texinfo seamlessly, allowing single sheet music
 or musicological treatises to be written from a single source.  Form and
 content are separate, and with LilyPond's expert automated formatting,
 users don't need typographical expertise to produce good notation.
 .
 LilyPond produces PDF, PostScript, SVG, or TeX printed output, as well
 as MIDI for listening pleasures.  LilyPond is exported from the
 RoseGarden and NoteEdit GUIs, and can import ABC, ETF and MIDI.
 .
 LilyPond is part of the GNU Project.
 .
  Authors: Han-Wen Nienhuys <hanwen@cs.uu.nl>
           Jan Nieuwenhuizen <janneke@gnu.org>

Package: lilypond-data
Architecture: all
Depends: texinfo | texlive-texinfo, texlive-base-bin, ${python:Depends}, ${misc:Depends}
Breaks: ${python:Breaks}
Recommends: lilypond (>= ${source:Version})
Description: LilyPond music typesetter (data files)
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 . 
 This package contains architecture-independent data files for LilyPond.

Package: lilypond-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: lilypond-doc-html, lilypond-doc-pdf
Suggests: lilypond (>= ${source:Version})
Description: LilyPond Documentation in info format (and meta package)
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package includes the info documentation and recommends the html
 and pdf documentation for the LilyPond music typesetting software.

Package: lilypond-doc-pdf
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Description: LilyPond PDF Documentation
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation for the LilyPond music
 typesetting software.

Package: lilypond-doc-html
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: mozilla-browser | www-browser
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation for the LilyPond music
 typesetting software.

Package: lilypond-doc-html-cs
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Czech
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Czech for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-de
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in German
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in German for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-es
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Spanish
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Spanish for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-fr
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in French
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in French for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-hu
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Hungarian
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Hungarian for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-it
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Italian
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Italian for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-ja
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Japanese
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Japanese for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-nl
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Dutch
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Dutch for the
 LilyPond music typesetting software.

Package: lilypond-doc-html-zh
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond HTML Documentation in Chinese
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the HTML documentation in Chinese for the
 LilyPond music typesetting software.

Package: lilypond-doc-pdf-de
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond PDF Documentation in German
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation in German for the
 LilyPond music typesetting software.

Package: lilypond-doc-pdf-es
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond PDF Documentation in Spanish
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation in Spanish for the
 LilyPond music typesetting software.

Package: lilypond-doc-pdf-fr
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond PDF Documentation in French
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation in French for the
 LilyPond music typesetting software.

Package: lilypond-doc-pdf-hu
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: evince | pdf-viewer
Suggests: lilypond (>= ${source:Version})
Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
Description: LilyPond PDF Documentation in Hungarian
 LilyPond is a music typesetter, an automated engraving system.  It
 produces beautiful sheet music using a high level description file as input.
 .
 This package contains the PDF documentation in Hungarian for the

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for LilyPond in Debian.
#
# This is free software; see the GNU General Public Licence
# version 2 or later for copying conditions.  There is NO warranty.
#

include VERSION

export MAILADDRESS = lilypond@packages.debian.org

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
ifneq (,$(filter $(DEB_HOST_ARCH), i386 kfreebsd-i386))
  config_opt = --disable-optimising
  CFLAGS := $(filter-out -O%, $(CFLAGS))
  CXXFLAGS := $(filter-out -O%, $(CXXFLAGS))
else
ifneq (,$(filter $(DEB_BUILD_OPTIONS),noopt))
  config_opt = --disable-optimising
else
  config_opt = --enable-optimising
endif
endif

DOC_OPTIONS := WEB_TARGETS="offline"
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	DOC_OPTIONS := $(DOC_OPTIONS) CPU_COUNT=$(firstword $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@ --parallel --with autotools-dev --with python2 --with quilt

## we need to nuke the parser files, because if there is a mistmatch
## between upstreams bison and our bison, the build will fail epically
override_dh_auto_configure:
	rm -f lily/out/parser.*
	dh_auto_configure -- --disable-checking --enable-debugging $(config_opt)

override_dh_auto_build-indep:
	dh_auto_build
	$(MAKE) doc $(DOC_OPTIONS)

override_dh_auto_install-indep:
	$(MAKE) install-doc $(DOC_OPTIONS) prefix=$(CURDIR)/debian/tmp/usr/
	$(MAKE) install-info $(DOC_OPTIONS) prefix=$(CURDIR)/debian/tmp/usr
	rm -rf $(CURDIR)/debian/tmp/usr/share/omf
	rm -rf $(CURDIR)/debian/tmp/usr/share/doc/lilypond/html/input
	perl debian/move_info_images_from_html_doc $(CURDIR)/debian/tmp/usr/share/info/ $(CURDIR)/debian/tmp/usr/share/doc/lilypond/html/Documentation/
	perl debian/symlink_html_images_to_info_images $(CURDIR)/debian/tmp/usr/share/info/lilypond
	perl debian/remove_w3c_callback $(CURDIR)/debian/tmp/usr/share/doc/lilypond/ $(CURDIR)/debian/tmp/usr/share/info/

## Unfortunately, lilypond is kind of broken, and installs the wrong
## info documentation (missing images) if we call their makefile
## directly. They also don't provide an install rule which doesn't
## install the documentation, which we don't care about for the
## architecture dependent build
override_dh_auto_install-arch:
	for dir in `echo */*makefile|xargs -n 1 dirname|grep -v Documentation`; do \
		$(MAKE) --no-builtin-rules PACKAGE=LILYPOND package=lilypond -C $$dir install $(DOC_OPTIONS) prefix=$(CURDIR)/debian/tmp/usr/; \
	done;

## we need to nuke the parser files, because if there is a mistmatch
## between upstreams bison and our bison, the build will fail epically
override_dh_auto_clean:
	rm -f lily/out/parser.*
	dh_auto_clean

## we need to install only the png, jpg, css, ly and english html
## files into the doc-html package, and only the english pdfs into the
## doc-pdf package. Because dh_install doesn't support regexes, we'll
## use find to replace the contents of the .install file before we
## call dh_install
override_dh_install:
	/bin/echo -e 'usr/share/doc/lilypond/html/*/*/*.ly\nusr/share/doc/lilypond/html/*/*/*.png' \
		> $(CURDIR)/debian/lilypond-doc-html.install
	/bin/echo -e 'usr/share/doc/lilypond/html/*/*/*.jpg\nusr/share/doc/lilypond/html/*/*/*.css' \
		>> $(CURDIR)/debian/lilypond-doc-html.install
	find $(CURDIR)/debian/tmp/ -type f \
		-regex '.*usr/share/doc/lilypond/.*/[^\.]+.html' \
		-printf '%P\n' >> $(CURDIR)/debian/lilypond-doc-html.install
	/bin/echo -e ''> $(CURDIR)/debian/lilypond-doc-pdf.install
	find $(CURDIR)/debian/tmp/ -type f \
		-regex '.*usr/share/doc/lilypond/.*/[^\.]+.pdf' \
		-printf '%P\n' >> $(CURDIR)/debian/lilypond-doc-pdf.install
	find $(CURDIR)/debian/tmp/ -type f \
		-regex '.*usr/share/doc/lilypond/.*/[^\.]+.preview.pdf' \
		-printf '%P\n' >> $(CURDIR)/debian/lilypond-doc-pdf.install
	dh_install --list-missing

override_dh_python2:
	dh_python2 --verbose
	dh_python2 --verbose usr/share/lilypond/$(MAJOR_VERSION).$(MINOR_VERSION).$(PATCH_LEVEL)/python/

override_dh_compress:
	dh_compress -X.ly

override_dh_installdocs:
	dh_installdocs
	for a in $(wildcard $(CURDIR)/debian/*.doc-base-special); do \
		package=`basename $$a .doc-base-special`; \
		install -d debian/$$package/usr/share/doc-base; \
		install -m0644 $$a debian/$$package/usr/share/doc-base/$$package; \
	done;

override_dh_auto_test:
ifneq (,$(filter $(DEB_BUILD_OPTIONS),nocheck))
	$(MAKE) test-baseline
    $(MAKE) test
endif

## this rule will update debian/control and the per-language install
## files; all of the files it generates/modifies should be included in
## the Debian package and should not need to be regenerated or
## modified.
update-doc-packages:
	perl debian/update_doc_packages

=== debian/watch ===
# LilyPond watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
# we will ignore all odd minor version numbers, because they are developmental versions
version=3
http://lilypond.org/download/sources/v(\d+\.\d*[02468])/lilypond-(.*)\.tar\.gz	debian	uupdate

## lilypond 2.19.81

=== debian/changelog ===
lilypond (2.19.81-1~exp2) unstable; urgency=medium

  * Switch lilypond-invoke-editor to use system* instead of system to fix
    CVE-2017-17523 for non textedit:// URIs. (Closes: #884136)

 -- Don Armstrong <don@debian.org>  Thu, 10 May 2018 17:24:03 -0700

lilypond (2.19.81-1~exp1) experimental; urgency=medium

  * New upstream version 2.19.81
  * Fix argument injection in lilypond-invoke-editor, CVE-2017-17523.
    This is a cherry-pick of upstream's fix, see
    https://sourceforge.net/p/testlilyissues/issues/5243/ (Closes: #884136)
  * Update Standards-Version to 4.1.3, no changes needed
  * Update d/copyright
  * Switch Vcs-URLs to salsa.d.o and add default branch for git

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 04 Feb 2018 13:31:46 +0100

lilypond (2.19.80-1~exp1) experimental; urgency=medium

  * New upstream version 2.19.80
  * Remove unused lintian overrides
  * Fix typo in package description
  * Remove Replaces/Breaks for lilypond-doc (<< 2.16.2-1~exp+1).
    Even oldstable has 2.18.2-4, so an upgrade should be possible
    without problems.
  * Remove obsolete package name lilypond1.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 16 Oct 2017 17:07:08 +0200

lilypond (2.19.65-1~exp2) experimental; urgency=medium

  * Add new language Catalan for HTML and PDF doc packages
  * Run d/update_doc_packages to generate new package stanzas
  * Use debhelper v10
  * Remove unneeded --parallel options from debhelper calls

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 06 Oct 2017 12:08:03 +0200

lilypond (2.19.65-1~exp1) experimental; urgency=medium

  [ Don Armstrong ]
  * Remove now useless mktexlsr calls and such from
    lilypond-doc.post{inst,rm}. Thanks to Julian Gilbey (Closes: #771732)

  [ Dr. Tobias Quathamer ]
  * New upstream version.
    - Refresh patches
    - Add font-texgyre to Build-Depends
    - Build-Depends on extractpdfmark to generate smaller PDF files
  * Update watch file for new upstream location
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 03 Oct 2017 15:13:54 +0200

lilypond (2.18.2-9) unstable; urgency=medium

  * There is no need to remove /usr/share/info/lilypond anymore, as the
    info directory is the master source for the images which are built and
    are linked to from the HTML. (Closes: #871631)
  * Cherrypick fix for upstream issue 4814 which fixes segfaults in
    grob.cc in newer versions of GCC (Closes: #866129). Thanks to Antonio
    Ospite for mentioning the patch.

 -- Don Armstrong <don@debian.org>  Tue, 15 Aug 2017 13:38:30 -0700

lilypond (2.18.2-8) unstable; urgency=medium

  [ Don Armstrong ]
  * Ignore non-empty /usr/share/lilypond in postinst (Closes: #737505)

  [ Dr. Tobias Quathamer ]
  * Update Standards-Version to 4.0.0
    - Use HTTPS URL for d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 27 Jun 2017 21:33:50 +0200

lilypond (2.18.2-7) unstable; urgency=medium

  * Fix FTBFS (introduced by me in 2.18.2-5) on hurd-i386
  * Fix FTBFS (introduced by me in 2.18.2-5) on kfreebsd-{amd64,i386}
  * Run tests only when documentation has been built, and
    fix check for DEB_BUILD_OPTIONS=nocheck. (See #760794)
  * Suggests instead of Recommends lilypond-doc. (Closes: #653263)
  * Fix Lintian warning: debian-rules-ignores-make-clean-error
  * Fix Lintian warnings: wildcard-matches-nothing-in-dep5-copyright

 -- Anthony Fok <foka@debian.org>  Sun, 29 Jan 2017 04:58:33 -0700

lilypond (2.18.2-6) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Add myself as uploader
    (cherry-picked from 2016-07-25 git commit to debian-experimental branch)

  [ Anthony Fok ]
  * Fix FTBFS when built with "dpkg-buildpackage -A".
    Previously, "$(MAKE) install" was not run for arch-independent build,
    hence dh_install was unable to find the non-documentation files that are
    destined for lilypond-data.
    Thanks to Santiago Vila for the bug report. (Closes: #806067)
  * debian/rules: Leave PDF documentation uncompressed.

 -- Anthony Fok <foka@debian.org>  Fri, 27 Jan 2017 13:15:13 -0700

lilypond (2.18.2-5) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Fix patch for FTBFS on hurd. Thanks to Petter Reinholdtsen
    for the bug report and patch. (Closes: #761036)

  [ Anthony Fok ]
  * Bundle our own private copy of guile-1.8.  Superceded by guile-2.0,
    the old guile-1.8 was finally removed from Debian in May 2016.
    Unfortunately, LilyPond 2.18.2 still requires Guile 1.8,
    and LilyPond 2.19.x and Guile 2 are just not yet ready for each other.
    So, it would seem that bundling our own private guile-1.8 is the only
    viable option to keep LilyPond 2.18.2 in Debian for the time being.
    Hope this would allow LilyPond to re-enter Debian 9 "stretch"!
    See Bug #746005 for more information.
  * Import guile-1.8 as multiple upstream tarball component,
    originally Debian's own DFSG-compliant guile-1.8_1.8.8+1.orig.tar.bz2,
    recompressed with gzip as lilypond_2.18.2.orig-guile18.tar.gz
    (to work around current gbp limitation).
  * Add debian/gbp.conf for multiple upstream tarball (MUT)
    with special "multiple upstream tarball" (MUT) upstream-mut branch
    branch and upstream-mut/%(version)s tags for Debian 9 "stretch".
  * Cherry-pick set-global-fonts function from upstream to scm/font.scm
  * Refresh debian/control:
    - Add myself to the Uploaders field
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URIs for Vcs-Browser and Vcs-Git fields
  * Add explicit Build-Depends on libfl-dev
    LilyPond needs /usr/include/FlexLexer.h from libfl-dev,
    but flex dependency on libfl-dev has been demoted to Recommends
    since flex (2.6.1-1.1) dated 2016-11-24.
  * Remove bitmap fonts from Build-Depends and use vector fonts only.
    Also, Build-Conflicts with fonts-noto-cjk which contains OpenType
    Collection (OTC) fonts, which unfortunately Ghostscript does not yet


=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: lilypond
-Build-Depends: debhelper (>= 9), quilt, python-all-dev (>= 2.6.6-3~), dh-python,
- guile-1.8-dev,
- flex, bison, texinfo, groff, m4, gettext, mftrace, fontforge,
+Build-Depends: debhelper (>= 10), quilt, python-all-dev (>= 2.6.6-3~), dh-python, dh-exec,
+ libfl-dev, flex, bison, texinfo, groff, m4, gettext, mftrace, fontforge,
  pkg-config, libfreetype6-dev, libpango1.0-dev,
  libfontconfig1-dev, help2man,
- libgmp3-dev, libltdl-dev, ghostscript, texlive-latex-base,
- texlive-generic-recommended, texlive-latex-recommended, autotools-dev, texi2html, texlive-metapost,
- zip, rsync, texlive-fonts-recommended, dblatex, netpbm, imagemagick, 
- emacs-intl-fonts, xfonts-intl-arabic, xfonts-intl-asian,
- xfonts-intl-chinese, xfonts-intl-chinese-big, xfonts-intl-european,
- xfonts-intl-japanese, xfonts-intl-japanese-big, xfonts-intl-phonetic,
- fonts-ipafont-gothic, fonts-ipafont-mincho, ttf-dejavu, ttf-freefont,
- texlive-lang-cyrillic,
- gsfonts | gsfonts-x11
+ ghostscript, texlive-latex-base, texlive-generic-recommended,
+ texlive-latex-recommended, autotools-dev, texi2html, texlive-metapost,
+ zip, rsync, texlive-fonts-recommended, dblatex, netpbm, imagemagick,
+ fonts-linuxlibertine, fonts-freefont-otf, fonts-ipafont-mincho,
+ texlive-lang-cyrillic, fonts-texgyre,
+ gsfonts | gsfonts-x11,
+ extractpdfmark,
+ libtool, autoconf, automake, libgmp-dev, libltdl-dev, libncurses5-dev,
+ libreadline6-dev
+Build-Conflicts: fonts-noto-cjk
 Section: tex
 Priority: optional
 Maintainer: Don Armstrong <don@debian.org>
-Standards-Version: 3.9.5
+Uploaders: Anthony Fok <foka@debian.org>,
+           Dr. Tobias Quathamer <toddy@debian.org>
+Standards-Version: 4.1.3
 Homepage: http://lilypond.org/
-Vcs-Git: git://git.donarmstrong.com/lilypond.git
-Vcs-Browser: http://git.donarmstrong.com/lilypond.git
+Vcs-Git: https://salsa.debian.org/debian/lilypond.git -b debian
+Vcs-Browser: https://salsa.debian.org/debian/lilypond
 
 Package: lilypond
 Architecture: any
-Replaces: lilypond1.3
-Provides: lilypond1.3
-Depends: ${shlibs:Depends}, ${python:Depends}, guile-1.8, ${misc:Depends}, lilypond-data (= ${source:Version}), ghostscript
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, lilypond-data (= ${source:Version}), ghostscript
 Breaks: ${python:Breaks}
-Recommends: lilypond-doc, texlive-latex-base
+Recommends: texlive-latex-base
+Suggests: lilypond-doc
 Description: program for typesetting sheet music
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -60,7 +61,7 @@
 Description: LilyPond music typesetter (data files)
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
- . 
+ .
  This package contains architecture-independent data files for LilyPond.
 
 Package: lilypond-doc
@@ -70,7 +71,7 @@
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: lilypond-doc-html, lilypond-doc-pdf
 Suggests: lilypond (>= ${source:Version})
-Description: LilyPond Documentation in info format (and meta package)
+Description: LilyPond Documentation in info format (and metapackage)
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
  .
@@ -93,11 +94,9 @@
 Package: lilypond-doc-html
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc
 Recommends: mozilla-browser | www-browser
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -105,13 +104,23 @@
  This package contains the HTML documentation for the LilyPond music
  typesetting software.
 
+Package: lilypond-doc-html-ca
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
+Suggests: lilypond (>= ${source:Version})
+Description: LilyPond HTML Documentation in Catalan
+ LilyPond is a music typesetter, an automated engraving system.  It
+ produces beautiful sheet music using a high level description file as input.
+ .
+ This package contains the HTML documentation in Catalan for the
+ LilyPond music typesetting software.
+
 Package: lilypond-doc-html-cs
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Czech
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -124,8 +133,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in German
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -138,8 +145,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Spanish
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -152,8 +157,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in French
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -166,8 +169,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Hungarian
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -180,8 +181,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Italian
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -194,8 +193,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Japanese
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -208,8 +205,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Dutch
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -222,8 +217,6 @@
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, lilypond-doc-html
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond HTML Documentation in Chinese
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -231,14 +224,25 @@
  This package contains the HTML documentation in Chinese for the
  LilyPond music typesetting software.
 
+Package: lilypond-doc-pdf-ca
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Recommends: evince | pdf-viewer
+Suggests: lilypond (>= ${source:Version})
+Description: LilyPond PDF Documentation in Catalan
+ LilyPond is a music typesetter, an automated engraving system.  It
+ produces beautiful sheet music using a high level description file as input.
+ .
+ This package contains the PDF documentation in Catalan for the
+ LilyPond music typesetting software.
+
 Package: lilypond-doc-pdf-de
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond PDF Documentation in German
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -252,8 +256,6 @@
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond PDF Documentation in Spanish
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -267,8 +269,6 @@
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond PDF Documentation in French
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -282,10 +282,15 @@
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
-Replaces: lilypond-doc (<< 2.16.2-1~exp+1)
-Breaks: lilypond-doc (<< 2.16.2-1~exp+1)
 Description: LilyPond PDF Documentation in Hungarian
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
  .
  This package contains the PDF documentation in Hungarian for the
+ LilyPond music typesetting software.
+
+Package: lilypond-doc-pdf-it
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Recommends: evince | pdf-viewer
